#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a, b, x, y;
    scanf("%d%d%d%d", &a, &b, &x, &y);
    if(a==x&&b==y){
        printf("nijedan\n");
    }
    else if(a>x&&b==y){
        printf("prvi\n");
    }
    else if(a==x&&b>y){
        printf("drugi\n");
    }
    else if(a>x&&b>x){
        printf("?\n");
    }
    return 0;
}